from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SAXDocumentBuilderState(IntEnum):
    READY = auto()
    BUILDING_DOCUMENT = auto()
    BUILDING_FRAGMENT = auto()
    DOCUMENT_FINISHED = auto()
    FRAGMENT_FINISHED = auto()
